Skip to content
Store Dev
Cập nhật lần cuối

Game Coupon Registration API

Introduction

Registers a game coupon.

Basic Information

text
POST /coupon/v3.0/{user_token_type}/game/coupon/use
Host:
   https://api.onstove.com (LIVE)    
   https://api.gate8.com (SB)
Content-Type: application/json

Request

NameTypeRequiredDefault ValueExampleDescription
AuthorizationStringY-Access token issued through user authentication.

Path Variable

NameTypeRequiredDefault ValueExampleDescription
user_token_typestringY-webUser token type; all token types are supported.

Parameter

NameTypeRequiredDefault ValueExampleDescription
game_codestringY-STOVE_QA_ALPHAGame ID assigned by the platform.
coupon_nostringY-H370Y300R2M02YV0Coupon box serial number
client_ipaddrStringY-10.5.24.52Member's access IP address
world_noStringN-1Game world number
character_noStringN-52345642Member character number
game_coupon_idInt64N-15451Game coupon ID. If provided, a mismatch is treated as an invalid coupon code.
lang_codeStringY-koLanguage code

Response

Body

NameTypeRequiredDefault ValueExampleDescription
resultStringY-000Response code
messageStringY-OKResponse message
valueObjectN--Response value

value

NameTypeRequiredDefault ValueExampleDescription
coupon_box_idInt64Y-6449393Coupon box serial number
cbox_save_flagBooleanY-tureWhether to save in the coupon box

Sample

Request

text
curl --location --request POST '/coupon/v3.0/web/game/coupon/use' \
--header 'Authorization: Bearer {{access_token}}'
{         
    "game_code":"STOVE_QA_ALPHA",
    "coupon_no":"AMH0G4E0A110VBM8",
    "client_ipaddr":"211.34.57.2",
    "world_no":"1",
    "character_no":"98175593",
    "lang_code":"ko"    
}

Response

text
{
    "value":
    {
        "coupon_box_id":4010326,
        "cbox_save_flag":false
    },
    "result": "000",
    "message": "OK"
}

Failed response example

text
{
    "result": "5105",
    "message": "Invalid coupon code. Please check the coupon code. (1 failed attempt)"
}

Return Code

HTTP Status codeCodeMessageDescription
2005031The daily verification limit has been exceeded.
2005105Invalid coupon code. Please check the coupon code.Actual error message: Invalid coupon code. ({0} failed attempts) Please check the coupon code.
2005165This coupon can only be redeemed from the coupon box.The code belongs to an account-issued coupon.
2005450This coupon is already registered in the coupon box.The code can be redeemed only once and is already registered in the coupon box.
2005125This coupon has already been redeemed.
2005130This coupon has been disabled.Coupon was invalidated through Partners or withdrawal of consent to the game's terms of use.
2005135This coupon has expired.Redemption period has ended.
2005161The coupon registration period has expired.Registration period has ended.
2006055The registration period has not started.
2005162This coupon cannot be redeemed in this country.
2002605This membership account cannot be used.
2005202You have already redeemed this group coupon.Group coupon
2005033This coupon code can no longer be redeemed.Applies to codes that allow multiple redemptions (shared and group coupons).
2005155The coupon redemption limit has been exceeded.
2005200You are not eligible for this coupon.Targeted coupon: account is not an eligible recipient.
2006033You have already redeemed a coupon from this group.Another coupon in the same coupon group was redeemed.
2006026The redemption limit has been exceeded.24-hour limit
200100This coupon can only be redeemed at a PC cafe.Previous message: PC cafe-only coupon.
2007014Please select a character.Coupon is redeemed immediately upon registration and requires character information.
2005164This coupon cannot be redeemed in this world.
200OtherInternal ErrorInternal error: Contact the STOVE technical PM team.
401999Authorization has been denied for this request

Contact Us


If you have any questions, please contact us on Discord or by email at store.support@smilegate.com.